Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network219.2.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
219.2.0.0
Broadcast address
219.2.255.255
First usable
219.2.0.1
Last usable
219.2.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
C (default /24)
As numbers
Hex DB020000 · Integer 3674341376 to 3674406911
Reverse DNS zone
2.219.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011011.00000010..00000000.00000000219.2.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11011011.00000010..00000000.00000000219.2.0.0
Broadcast11011011.00000010..11111111.11111111219.2.255.255
Split into smaller subnets/24

219.2.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1219.2.0.0/24219.2.0.1 to 219.2.0.254219.2.0.255254
2219.2.1.0/24219.2.1.1 to 219.2.1.254219.2.1.255254
3219.2.2.0/24219.2.2.1 to 219.2.2.254219.2.2.255254
4219.2.3.0/24219.2.3.1 to 219.2.3.254219.2.3.255254
5219.2.4.0/24219.2.4.1 to 219.2.4.254219.2.4.255254
6219.2.5.0/24219.2.5.1 to 219.2.5.254219.2.5.255254
7219.2.6.0/24219.2.6.1 to 219.2.6.254219.2.6.255254
8219.2.7.0/24219.2.7.1 to 219.2.7.254219.2.7.255254
9219.2.8.0/24219.2.8.1 to 219.2.8.254219.2.8.255254
10219.2.9.0/24219.2.9.1 to 219.2.9.254219.2.9.255254
11219.2.10.0/24219.2.10.1 to 219.2.10.254219.2.10.255254
12219.2.11.0/24219.2.11.1 to 219.2.11.254219.2.11.255254
13219.2.12.0/24219.2.12.1 to 219.2.12.254219.2.12.255254
14219.2.13.0/24219.2.13.1 to 219.2.13.254219.2.13.255254
15219.2.14.0/24219.2.14.1 to 219.2.14.254219.2.14.255254
16219.2.15.0/24219.2.15.1 to 219.2.15.254219.2.15.255254
17219.2.16.0/24219.2.16.1 to 219.2.16.254219.2.16.255254
18219.2.17.0/24219.2.17.1 to 219.2.17.254219.2.17.255254
19219.2.18.0/24219.2.18.1 to 219.2.18.254219.2.18.255254
20219.2.19.0/24219.2.19.1 to 219.2.19.254219.2.19.255254
21219.2.20.0/24219.2.20.1 to 219.2.20.254219.2.20.255254
22219.2.21.0/24219.2.21.1 to 219.2.21.254219.2.21.255254
23219.2.22.0/24219.2.22.1 to 219.2.22.254219.2.22.255254
24219.2.23.0/24219.2.23.1 to 219.2.23.254219.2.23.255254
25219.2.24.0/24219.2.24.1 to 219.2.24.254219.2.24.255254
26219.2.25.0/24219.2.25.1 to 219.2.25.254219.2.25.255254
27219.2.26.0/24219.2.26.1 to 219.2.26.254219.2.26.255254
28219.2.27.0/24219.2.27.1 to 219.2.27.254219.2.27.255254
29219.2.28.0/24219.2.28.1 to 219.2.28.254219.2.28.255254
30219.2.29.0/24219.2.29.1 to 219.2.29.254219.2.29.255254
31219.2.30.0/24219.2.30.1 to 219.2.30.254219.2.30.255254
32219.2.31.0/24219.2.31.1 to 219.2.31.254219.2.31.255254
33219.2.32.0/24219.2.32.1 to 219.2.32.254219.2.32.255254
34219.2.33.0/24219.2.33.1 to 219.2.33.254219.2.33.255254
35219.2.34.0/24219.2.34.1 to 219.2.34.254219.2.34.255254
36219.2.35.0/24219.2.35.1 to 219.2.35.254219.2.35.255254
37219.2.36.0/24219.2.36.1 to 219.2.36.254219.2.36.255254
38219.2.37.0/24219.2.37.1 to 219.2.37.254219.2.37.255254
39219.2.38.0/24219.2.38.1 to 219.2.38.254219.2.38.255254
40219.2.39.0/24219.2.39.1 to 219.2.39.254219.2.39.255254
41219.2.40.0/24219.2.40.1 to 219.2.40.254219.2.40.255254
42219.2.41.0/24219.2.41.1 to 219.2.41.254219.2.41.255254
43219.2.42.0/24219.2.42.1 to 219.2.42.254219.2.42.255254
44219.2.43.0/24219.2.43.1 to 219.2.43.254219.2.43.255254
45219.2.44.0/24219.2.44.1 to 219.2.44.254219.2.44.255254
46219.2.45.0/24219.2.45.1 to 219.2.45.254219.2.45.255254
47219.2.46.0/24219.2.46.1 to 219.2.46.254219.2.46.255254
48219.2.47.0/24219.2.47.1 to 219.2.47.254219.2.47.255254
49219.2.48.0/24219.2.48.1 to 219.2.48.254219.2.48.255254
50219.2.49.0/24219.2.49.1 to 219.2.49.254219.2.49.255254
51219.2.50.0/24219.2.50.1 to 219.2.50.254219.2.50.255254
52219.2.51.0/24219.2.51.1 to 219.2.51.254219.2.51.255254
53219.2.52.0/24219.2.52.1 to 219.2.52.254219.2.52.255254
54219.2.53.0/24219.2.53.1 to 219.2.53.254219.2.53.255254
55219.2.54.0/24219.2.54.1 to 219.2.54.254219.2.54.255254
56219.2.55.0/24219.2.55.1 to 219.2.55.254219.2.55.255254
57219.2.56.0/24219.2.56.1 to 219.2.56.254219.2.56.255254
58219.2.57.0/24219.2.57.1 to 219.2.57.254219.2.57.255254
59219.2.58.0/24219.2.58.1 to 219.2.58.254219.2.58.255254
60219.2.59.0/24219.2.59.1 to 219.2.59.254219.2.59.255254
61219.2.60.0/24219.2.60.1 to 219.2.60.254219.2.60.255254
62219.2.61.0/24219.2.61.1 to 219.2.61.254219.2.61.255254
63219.2.62.0/24219.2.62.1 to 219.2.62.254219.2.62.255254
64219.2.63.0/24219.2.63.1 to 219.2.63.254219.2.63.255254
65219.2.64.0/24219.2.64.1 to 219.2.64.254219.2.64.255254
66219.2.65.0/24219.2.65.1 to 219.2.65.254219.2.65.255254
67219.2.66.0/24219.2.66.1 to 219.2.66.254219.2.66.255254
68219.2.67.0/24219.2.67.1 to 219.2.67.254219.2.67.255254
69219.2.68.0/24219.2.68.1 to 219.2.68.254219.2.68.255254
70219.2.69.0/24219.2.69.1 to 219.2.69.254219.2.69.255254
71219.2.70.0/24219.2.70.1 to 219.2.70.254219.2.70.255254
72219.2.71.0/24219.2.71.1 to 219.2.71.254219.2.71.255254
73219.2.72.0/24219.2.72.1 to 219.2.72.254219.2.72.255254
74219.2.73.0/24219.2.73.1 to 219.2.73.254219.2.73.255254
75219.2.74.0/24219.2.74.1 to 219.2.74.254219.2.74.255254
76219.2.75.0/24219.2.75.1 to 219.2.75.254219.2.75.255254
77219.2.76.0/24219.2.76.1 to 219.2.76.254219.2.76.255254
78219.2.77.0/24219.2.77.1 to 219.2.77.254219.2.77.255254
79219.2.78.0/24219.2.78.1 to 219.2.78.254219.2.78.255254
80219.2.79.0/24219.2.79.1 to 219.2.79.254219.2.79.255254
81219.2.80.0/24219.2.80.1 to 219.2.80.254219.2.80.255254
82219.2.81.0/24219.2.81.1 to 219.2.81.254219.2.81.255254
83219.2.82.0/24219.2.82.1 to 219.2.82.254219.2.82.255254
84219.2.83.0/24219.2.83.1 to 219.2.83.254219.2.83.255254
85219.2.84.0/24219.2.84.1 to 219.2.84.254219.2.84.255254
86219.2.85.0/24219.2.85.1 to 219.2.85.254219.2.85.255254
87219.2.86.0/24219.2.86.1 to 219.2.86.254219.2.86.255254
88219.2.87.0/24219.2.87.1 to 219.2.87.254219.2.87.255254
89219.2.88.0/24219.2.88.1 to 219.2.88.254219.2.88.255254
90219.2.89.0/24219.2.89.1 to 219.2.89.254219.2.89.255254
91219.2.90.0/24219.2.90.1 to 219.2.90.254219.2.90.255254
92219.2.91.0/24219.2.91.1 to 219.2.91.254219.2.91.255254
93219.2.92.0/24219.2.92.1 to 219.2.92.254219.2.92.255254
94219.2.93.0/24219.2.93.1 to 219.2.93.254219.2.93.255254
95219.2.94.0/24219.2.94.1 to 219.2.94.254219.2.94.255254
96219.2.95.0/24219.2.95.1 to 219.2.95.254219.2.95.255254
97219.2.96.0/24219.2.96.1 to 219.2.96.254219.2.96.255254
98219.2.97.0/24219.2.97.1 to 219.2.97.254219.2.97.255254
99219.2.98.0/24219.2.98.1 to 219.2.98.254219.2.98.255254
100219.2.99.0/24219.2.99.1 to 219.2.99.254219.2.99.255254
101219.2.100.0/24219.2.100.1 to 219.2.100.254219.2.100.255254
102219.2.101.0/24219.2.101.1 to 219.2.101.254219.2.101.255254
103219.2.102.0/24219.2.102.1 to 219.2.102.254219.2.102.255254
104219.2.103.0/24219.2.103.1 to 219.2.103.254219.2.103.255254
105219.2.104.0/24219.2.104.1 to 219.2.104.254219.2.104.255254
106219.2.105.0/24219.2.105.1 to 219.2.105.254219.2.105.255254
107219.2.106.0/24219.2.106.1 to 219.2.106.254219.2.106.255254
108219.2.107.0/24219.2.107.1 to 219.2.107.254219.2.107.255254
109219.2.108.0/24219.2.108.1 to 219.2.108.254219.2.108.255254
110219.2.109.0/24219.2.109.1 to 219.2.109.254219.2.109.255254
111219.2.110.0/24219.2.110.1 to 219.2.110.254219.2.110.255254
112219.2.111.0/24219.2.111.1 to 219.2.111.254219.2.111.255254
113219.2.112.0/24219.2.112.1 to 219.2.112.254219.2.112.255254
114219.2.113.0/24219.2.113.1 to 219.2.113.254219.2.113.255254
115219.2.114.0/24219.2.114.1 to 219.2.114.254219.2.114.255254
116219.2.115.0/24219.2.115.1 to 219.2.115.254219.2.115.255254
117219.2.116.0/24219.2.116.1 to 219.2.116.254219.2.116.255254
118219.2.117.0/24219.2.117.1 to 219.2.117.254219.2.117.255254
119219.2.118.0/24219.2.118.1 to 219.2.118.254219.2.118.255254
120219.2.119.0/24219.2.119.1 to 219.2.119.254219.2.119.255254
121219.2.120.0/24219.2.120.1 to 219.2.120.254219.2.120.255254
122219.2.121.0/24219.2.121.1 to 219.2.121.254219.2.121.255254
123219.2.122.0/24219.2.122.1 to 219.2.122.254219.2.122.255254
124219.2.123.0/24219.2.123.1 to 219.2.123.254219.2.123.255254
125219.2.124.0/24219.2.124.1 to 219.2.124.254219.2.124.255254
126219.2.125.0/24219.2.125.1 to 219.2.125.254219.2.125.255254
127219.2.126.0/24219.2.126.1 to 219.2.126.254219.2.126.255254
128219.2.127.0/24219.2.127.1 to 219.2.127.254219.2.127.255254
129219.2.128.0/24219.2.128.1 to 219.2.128.254219.2.128.255254
130219.2.129.0/24219.2.129.1 to 219.2.129.254219.2.129.255254
131219.2.130.0/24219.2.130.1 to 219.2.130.254219.2.130.255254
132219.2.131.0/24219.2.131.1 to 219.2.131.254219.2.131.255254
133219.2.132.0/24219.2.132.1 to 219.2.132.254219.2.132.255254
134219.2.133.0/24219.2.133.1 to 219.2.133.254219.2.133.255254
135219.2.134.0/24219.2.134.1 to 219.2.134.254219.2.134.255254
136219.2.135.0/24219.2.135.1 to 219.2.135.254219.2.135.255254
137219.2.136.0/24219.2.136.1 to 219.2.136.254219.2.136.255254
138219.2.137.0/24219.2.137.1 to 219.2.137.254219.2.137.255254
139219.2.138.0/24219.2.138.1 to 219.2.138.254219.2.138.255254
140219.2.139.0/24219.2.139.1 to 219.2.139.254219.2.139.255254
141219.2.140.0/24219.2.140.1 to 219.2.140.254219.2.140.255254
142219.2.141.0/24219.2.141.1 to 219.2.141.254219.2.141.255254
143219.2.142.0/24219.2.142.1 to 219.2.142.254219.2.142.255254
144219.2.143.0/24219.2.143.1 to 219.2.143.254219.2.143.255254
145219.2.144.0/24219.2.144.1 to 219.2.144.254219.2.144.255254
146219.2.145.0/24219.2.145.1 to 219.2.145.254219.2.145.255254
147219.2.146.0/24219.2.146.1 to 219.2.146.254219.2.146.255254
148219.2.147.0/24219.2.147.1 to 219.2.147.254219.2.147.255254
149219.2.148.0/24219.2.148.1 to 219.2.148.254219.2.148.255254
150219.2.149.0/24219.2.149.1 to 219.2.149.254219.2.149.255254
151219.2.150.0/24219.2.150.1 to 219.2.150.254219.2.150.255254
152219.2.151.0/24219.2.151.1 to 219.2.151.254219.2.151.255254
153219.2.152.0/24219.2.152.1 to 219.2.152.254219.2.152.255254
154219.2.153.0/24219.2.153.1 to 219.2.153.254219.2.153.255254
155219.2.154.0/24219.2.154.1 to 219.2.154.254219.2.154.255254
156219.2.155.0/24219.2.155.1 to 219.2.155.254219.2.155.255254
157219.2.156.0/24219.2.156.1 to 219.2.156.254219.2.156.255254
158219.2.157.0/24219.2.157.1 to 219.2.157.254219.2.157.255254
159219.2.158.0/24219.2.158.1 to 219.2.158.254219.2.158.255254
160219.2.159.0/24219.2.159.1 to 219.2.159.254219.2.159.255254
161219.2.160.0/24219.2.160.1 to 219.2.160.254219.2.160.255254
162219.2.161.0/24219.2.161.1 to 219.2.161.254219.2.161.255254
163219.2.162.0/24219.2.162.1 to 219.2.162.254219.2.162.255254
164219.2.163.0/24219.2.163.1 to 219.2.163.254219.2.163.255254
165219.2.164.0/24219.2.164.1 to 219.2.164.254219.2.164.255254
166219.2.165.0/24219.2.165.1 to 219.2.165.254219.2.165.255254
167219.2.166.0/24219.2.166.1 to 219.2.166.254219.2.166.255254
168219.2.167.0/24219.2.167.1 to 219.2.167.254219.2.167.255254
169219.2.168.0/24219.2.168.1 to 219.2.168.254219.2.168.255254
170219.2.169.0/24219.2.169.1 to 219.2.169.254219.2.169.255254
171219.2.170.0/24219.2.170.1 to 219.2.170.254219.2.170.255254
172219.2.171.0/24219.2.171.1 to 219.2.171.254219.2.171.255254
173219.2.172.0/24219.2.172.1 to 219.2.172.254219.2.172.255254
174219.2.173.0/24219.2.173.1 to 219.2.173.254219.2.173.255254
175219.2.174.0/24219.2.174.1 to 219.2.174.254219.2.174.255254
176219.2.175.0/24219.2.175.1 to 219.2.175.254219.2.175.255254
177219.2.176.0/24219.2.176.1 to 219.2.176.254219.2.176.255254
178219.2.177.0/24219.2.177.1 to 219.2.177.254219.2.177.255254
179219.2.178.0/24219.2.178.1 to 219.2.178.254219.2.178.255254
180219.2.179.0/24219.2.179.1 to 219.2.179.254219.2.179.255254
181219.2.180.0/24219.2.180.1 to 219.2.180.254219.2.180.255254
182219.2.181.0/24219.2.181.1 to 219.2.181.254219.2.181.255254
183219.2.182.0/24219.2.182.1 to 219.2.182.254219.2.182.255254
184219.2.183.0/24219.2.183.1 to 219.2.183.254219.2.183.255254
185219.2.184.0/24219.2.184.1 to 219.2.184.254219.2.184.255254
186219.2.185.0/24219.2.185.1 to 219.2.185.254219.2.185.255254
187219.2.186.0/24219.2.186.1 to 219.2.186.254219.2.186.255254
188219.2.187.0/24219.2.187.1 to 219.2.187.254219.2.187.255254
189219.2.188.0/24219.2.188.1 to 219.2.188.254219.2.188.255254
190219.2.189.0/24219.2.189.1 to 219.2.189.254219.2.189.255254
191219.2.190.0/24219.2.190.1 to 219.2.190.254219.2.190.255254
192219.2.191.0/24219.2.191.1 to 219.2.191.254219.2.191.255254
193219.2.192.0/24219.2.192.1 to 219.2.192.254219.2.192.255254
194219.2.193.0/24219.2.193.1 to 219.2.193.254219.2.193.255254
195219.2.194.0/24219.2.194.1 to 219.2.194.254219.2.194.255254
196219.2.195.0/24219.2.195.1 to 219.2.195.254219.2.195.255254
197219.2.196.0/24219.2.196.1 to 219.2.196.254219.2.196.255254
198219.2.197.0/24219.2.197.1 to 219.2.197.254219.2.197.255254
199219.2.198.0/24219.2.198.1 to 219.2.198.254219.2.198.255254
200219.2.199.0/24219.2.199.1 to 219.2.199.254219.2.199.255254
201219.2.200.0/24219.2.200.1 to 219.2.200.254219.2.200.255254
202219.2.201.0/24219.2.201.1 to 219.2.201.254219.2.201.255254
203219.2.202.0/24219.2.202.1 to 219.2.202.254219.2.202.255254
204219.2.203.0/24219.2.203.1 to 219.2.203.254219.2.203.255254
205219.2.204.0/24219.2.204.1 to 219.2.204.254219.2.204.255254
206219.2.205.0/24219.2.205.1 to 219.2.205.254219.2.205.255254
207219.2.206.0/24219.2.206.1 to 219.2.206.254219.2.206.255254
208219.2.207.0/24219.2.207.1 to 219.2.207.254219.2.207.255254
209219.2.208.0/24219.2.208.1 to 219.2.208.254219.2.208.255254
210219.2.209.0/24219.2.209.1 to 219.2.209.254219.2.209.255254
211219.2.210.0/24219.2.210.1 to 219.2.210.254219.2.210.255254
212219.2.211.0/24219.2.211.1 to 219.2.211.254219.2.211.255254
213219.2.212.0/24219.2.212.1 to 219.2.212.254219.2.212.255254
214219.2.213.0/24219.2.213.1 to 219.2.213.254219.2.213.255254
215219.2.214.0/24219.2.214.1 to 219.2.214.254219.2.214.255254
216219.2.215.0/24219.2.215.1 to 219.2.215.254219.2.215.255254
217219.2.216.0/24219.2.216.1 to 219.2.216.254219.2.216.255254
218219.2.217.0/24219.2.217.1 to 219.2.217.254219.2.217.255254
219219.2.218.0/24219.2.218.1 to 219.2.218.254219.2.218.255254
220219.2.219.0/24219.2.219.1 to 219.2.219.254219.2.219.255254
221219.2.220.0/24219.2.220.1 to 219.2.220.254219.2.220.255254
222219.2.221.0/24219.2.221.1 to 219.2.221.254219.2.221.255254
223219.2.222.0/24219.2.222.1 to 219.2.222.254219.2.222.255254
224219.2.223.0/24219.2.223.1 to 219.2.223.254219.2.223.255254
225219.2.224.0/24219.2.224.1 to 219.2.224.254219.2.224.255254
226219.2.225.0/24219.2.225.1 to 219.2.225.254219.2.225.255254
227219.2.226.0/24219.2.226.1 to 219.2.226.254219.2.226.255254
228219.2.227.0/24219.2.227.1 to 219.2.227.254219.2.227.255254
229219.2.228.0/24219.2.228.1 to 219.2.228.254219.2.228.255254
230219.2.229.0/24219.2.229.1 to 219.2.229.254219.2.229.255254
231219.2.230.0/24219.2.230.1 to 219.2.230.254219.2.230.255254
232219.2.231.0/24219.2.231.1 to 219.2.231.254219.2.231.255254
233219.2.232.0/24219.2.232.1 to 219.2.232.254219.2.232.255254
234219.2.233.0/24219.2.233.1 to 219.2.233.254219.2.233.255254
235219.2.234.0/24219.2.234.1 to 219.2.234.254219.2.234.255254
236219.2.235.0/24219.2.235.1 to 219.2.235.254219.2.235.255254
237219.2.236.0/24219.2.236.1 to 219.2.236.254219.2.236.255254
238219.2.237.0/24219.2.237.1 to 219.2.237.254219.2.237.255254
239219.2.238.0/24219.2.238.1 to 219.2.238.254219.2.238.255254
240219.2.239.0/24219.2.239.1 to 219.2.239.254219.2.239.255254
241219.2.240.0/24219.2.240.1 to 219.2.240.254219.2.240.255254
242219.2.241.0/24219.2.241.1 to 219.2.241.254219.2.241.255254
243219.2.242.0/24219.2.242.1 to 219.2.242.254219.2.242.255254
244219.2.243.0/24219.2.243.1 to 219.2.243.254219.2.243.255254
245219.2.244.0/24219.2.244.1 to 219.2.244.254219.2.244.255254
246219.2.245.0/24219.2.245.1 to 219.2.245.254219.2.245.255254
247219.2.246.0/24219.2.246.1 to 219.2.246.254219.2.246.255254
248219.2.247.0/24219.2.247.1 to 219.2.247.254219.2.247.255254
249219.2.248.0/24219.2.248.1 to 219.2.248.254219.2.248.255254
250219.2.249.0/24219.2.249.1 to 219.2.249.254219.2.249.255254
251219.2.250.0/24219.2.250.1 to 219.2.250.254219.2.250.255254
252219.2.251.0/24219.2.251.1 to 219.2.251.254219.2.251.255254
253219.2.252.0/24219.2.252.1 to 219.2.252.254219.2.252.255254
254219.2.253.0/24219.2.253.1 to 219.2.253.254219.2.253.255254
255219.2.254.0/24219.2.254.1 to 219.2.254.254219.2.254.255254
256219.2.255.0/24219.2.255.1 to 219.2.255.254219.2.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses